package com.tzld.piaoquan.wecom.service.Impl;

import com.tzld.piaoquan.wecom.dao.mapper.UserMapper;
import com.tzld.piaoquan.wecom.model.po.User;
import com.tzld.piaoquan.wecom.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;

    @Override
    public boolean addUser(User user) {
        int insert = userMapper.insert(user);
        return insert > 0;
    }

    @Override
    public Long getIdByExternalUserId3rdParty(String externalUserId3rdParty) {
        return userMapper.selectIdByExternalUserId3rdParty(externalUserId3rdParty);

    }
}
