package com.tzld.piaoquan.wecom.service.Impl;

import com.tzld.piaoquan.wecom.dao.mapper.HistoryMessageMapper;
import com.tzld.piaoquan.wecom.model.po.HistoryMessage;
import com.tzld.piaoquan.wecom.service.HistoryMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HistoryMessageServiceImpl implements HistoryMessageService {

    @Autowired
    private HistoryMessageMapper historyMessageMapper;

    @Override
    public boolean batchInsertHistoryMessage(List<HistoryMessage> historyMessageList) {
        for (HistoryMessage historyMessage : historyMessageList) {
            //处理异常  保证大部分数据处理成功
            try {
                int insert = historyMessageMapper.insert(historyMessage);
                if (insert <= 0) {
                    //TODO 记录异常日志
                }
            } catch (Exception e) {
                //TODO 输出异常信息 记录插入失败信息 historyMessage
                e.printStackTrace();
            }
        }
        return true;
    }
}
